# Method: organizations.locations.reports.list

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports/list#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports/list#body.ListReportsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports/list#body.aspect_1)

Lists every `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports#Report` in a given organization and location.

### HTTP request

`GET https://securityposture.googleapis.com/v1/{parent=organizations/*/locations/*}/reports`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name, in the format `organizations/{organization}/locations/global`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of reports to return. The default value is `500`. If you exceed the maximum value of `1000`, then the service uses the maximum value. |
| `pageToken` | `string` Optional. A pagination token returned from a previous request to list reports. Provide this token to retrieve the next page of results. |
| `filter` | `string` Optional. A filter to apply to the list of reports, in the format defined in [AIP-160: Filtering](https://google.aip.dev/160). |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reports": [ { object (`https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports#Report`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `reports[]` | ``object (`https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports#Report`)`` The list of `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.reports#Report` resources. |
| `nextPageToken` | `string` A pagination token. To retrieve the next page of results, call the method again with this token. |
| `unreachable[]` | `string` Locations that were temporarily unavailable and could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `securityposture.reports.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).